Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# FrameBuffer Class Reference

This class is specific to the mediaplayer apps. More...

`#include <framebuffer.h>`

List of all member functions.

## Public Members

- FrameBuffer ()
- ~FrameBuffer ()
- void create ( uchar * bits, int lineStep, int x, int y, int w, int h )
- void rotateToBuffer ( FrameBuffer * dst, int dstX, int dstY, int srcX, int srcY, int w, int h, int quadrants )
- uchar ** jumpTable ()
- int width ()
- int height ()

## Detailed Description

This class is specific to the mediaplayer apps.

It is currently private to those apps, and its API, and therefore binary compatibilty may change in later versions.

This class provides a way to abstract drawing in to either a QImage's bits, or directly to the screen from the bits returned by QDirectPainter. It also handles rotation of buffers allowing for example rotation from a QImage direct to the screen if a FrameBuffer object has been contructed around both. This class is specific for the VideoOutput class for allowing it to decode video frames either directly to the screen when it can without rotation or clipping, and when it can't to be able to rotate efficently, or fall back to painting a QImage with a QPainter in the worst case.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.